Loading...
Searching...
No Matches
piola_on_pointset_rep< T >

## Detailed Description

template<class T>
class rheolef::piola_on_pointset_rep< T >

Definition at line 40 of file piola_on_pointset.h.

## Public Types

typedef reference_element::size_type | size_type

## Public Member Functions

| piola_on_pointset_rep ()
void | initialize (const basis_basic< T > &piola_basis, const quadrature< T > &quad, const integrate_option &iopt)
void | initialize (const basis_basic< T > &piola_basis, const basis_basic< T > &nodal_basis, const integrate_option &iopt)
const basis_on_pointset< T > & | get_basis_on_pointset () const
bool | has_quadrature () const
const quadrature< T > & | get_quadrature () const
const basis_basic< T > & | get_nodal_basis () const
bool | ignore_sys_coord () const
template<class M>
const Eigen::Matrix< piola< T >, Eigen::Dynamic, 1 > & | get_piola (const geo_basic< T, M > &omega, const geo_element &K) const
template<class M>
const Eigen::Matrix< T, Eigen::Dynamic, 1 > & | get_weight (const geo_basic< T, M > &omega, const geo_element &K) const

## Protected Member Functions

template<class M>
void | _update (const geo_basic< T, M > &omega, const geo_element &K) const

## Protected Attributes

basis_on_pointset< T > | _bops
bool | _ignore_sys_coord
std::array< std::string,reference_element::max_variant > | _last_visited_geo
std::array< size_type,reference_element::max_variant > | _last_visited_dis_ie
std::vector< size_type > | _dis_inod_K
std::array< Eigen::Matrix< piola< T >, Eigen::Dynamic, 1 >,reference_element::max_variant > | _piola
std::array< Eigen::Matrix< T, Eigen::Dynamic, 1 >,reference_element::max_variant > | _weight

## Member Typedef Documentation

## size_type

template<class T>

typedef reference_element::size_type size_type

Definition at line 42 of file piola_on_pointset.h.

## Constructor & Destructor Documentation

## piola_on_pointset_rep()

template<class T>

piola_on_pointset_rep | ( |  | ) |

Definition at line 108 of file piola_on_pointset.h.

## Member Function Documentation

## initialize() [1/2]

template<class T>

void initialize | ( | const basis_basic< T > & | piola_basis,
|  | const quadrature< T > & | quad,
|  | const integrate_option & | iopt )

Definition at line 31 of file piola_on_pointset.cc.

## initialize() [2/2]

template<class T>

void initialize | ( | const basis_basic< T > & | piola_basis,
|  | const basis_basic< T > & | nodal_basis,
|  | const integrate_option & | iopt )

Definition at line 43 of file piola_on_pointset.cc.

## get_basis_on_pointset()

template<class T>

const basis_on_pointset< T > & get_basis_on_pointset | ( |  | ) | const

Definition at line 62 of file piola_on_pointset.h.

## has_quadrature()

template<class T>

bool has_quadrature | ( |  | ) | const

Definition at line 63 of file piola_on_pointset.h.

## get_quadrature()

template<class T>

const quadrature< T > & get_quadrature | ( |  | ) | const

Definition at line 64 of file piola_on_pointset.h.

## get_nodal_basis()

template<class T>

const basis_basic< T > & get_nodal_basis | ( |  | ) | const

Definition at line 65 of file piola_on_pointset.h.

## ignore_sys_coord()

template<class T>

bool ignore_sys_coord | ( |  | ) | const

Definition at line 66 of file piola_on_pointset.h.

## get_piola()

template<class T>
template<class M>

const Eigen::Matrix< piola< T >, Eigen::Dynamic, 1 > & get_piola | ( | const geo_basic< T, M > & | omega,
|  | const geo_element & | K ) const

Definition at line 124 of file piola_on_pointset.h.

## get_weight()

template<class T>
template<class M>

const Eigen::Matrix< T, Eigen::Dynamic, 1 > & get_weight | ( | const geo_basic< T, M > & | omega,
|  | const geo_element & | K ) const

Definition at line 133 of file piola_on_pointset.h.

## _update()

template<class T>
template<class M>

void _update | ( | const geo_basic< T, M > & | omega,
|  | const geo_element & | K ) const

protected

Definition at line 59 of file piola_on_pointset.cc.

## Member Data Documentation

## _bops

template<class T>

basis_on_pointset<T> _bops

protected

Definition at line 84 of file piola_on_pointset.h.

## _ignore_sys_coord

template<class T>

bool _ignore_sys_coord

protected

Definition at line 85 of file piola_on_pointset.h.

## _last_visited_geo

template<class T>

std::array< std::string ,reference_element::max_variant> _last_visited_geo

mutable protected

Definition at line 91 of file piola_on_pointset.h.

## _last_visited_dis_ie

template<class T>

std::array< size_type ,reference_element::max_variant> _last_visited_dis_ie

mutable protected

Definition at line 94 of file piola_on_pointset.h.

## _dis_inod_K

template<class T>

std::vector<size_type> _dis_inod_K

mutable protected

Definition at line 96 of file piola_on_pointset.h.

## _piola

template<class T>

std::array< Eigen::Matrix<piola<T>,Eigen::Dynamic,1> ,reference_element::max_variant> _piola

mutable protected

Definition at line 100 of file piola_on_pointset.h.

## _weight

template<class T>

std::array< Eigen::Matrix<T,Eigen::Dynamic,1> ,reference_element::max_variant> _weight

mutable protected

Definition at line 104 of file piola_on_pointset.h.

The documentation for this class was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/piola_on_pointset.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/piola_on_pointset.cc